Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.workflow
Interface JavaActionSet

public interface JavaActionSet

The `JavaActionSet` interface is a container for `JavaAction`s that is the only means by which they can be executed during process enactment. `JavaAction`s provide mechanisms through which process instances can interact with applications external to Interstage BPM. In other words, `JavaAction`s can be used to move data into process instances from outside Interstage BPM and out of process instances to applications outside the scope of Interstage BPM.

`JavaActionSet`s can be added to the process definition at design-time. They can be added at either the process definition level (see `Plan` interface) as Init, Process Owner, or Commit JavaActionSets, the activity level (see `Node` interface) as Role, Prologue, or Epilogue JavaActionSets, or the Timer level (see `TimerAction` interface). The point of execution can be determined by the following list:

- Init and Process owner `JavaActionSet` (Execution with process initialization)
- Commit `JavaActionSet` (Execution with process completion)
- Prologue `JavaActionSet` (Evaluation before the node performs its task)
- Epilogue `JavaActionSet` (Execution after the node finishes its task and before the process moves on to another node)
- Role `JavaActionSet` (Evaluation after resolving a role and before task assignment)
- Timer `JavaActionSet` (Execution when a timer expires)

The standard way of constructing a new `JavaActionSet` object is to call the method `WFObjectFactory.getJavaActionSet`.

`String` parameters of all methods in this class have a length limit. This limit is documented in the Javadoc description for every parameter. If the length of a value supplied for such a parameter exceeds this limit or the value is `null`, an exception is thrown. This exception is a subclass of `ModelException`. For future compatibility, only `ModelException` should be caught explicitly.

See Also:
  `WFObjectFactory`, `JavaAction`, `Plan`, `Node`

Field Summary
`static int` | `BODYJAS` Deprecated.
`static int` | `COMMITJAS` Deprecated.
`static int` | `EPILOGUEJAS` Deprecated.
`static int` | `INITJAS` Deprecated.
`static int` | `MAX_ACTION_SET_DESCRIPTION_LENGTH` Specifies the maximum length of the `JavaActionSet`'s description; currently 256 characters.
`static int` | `MAX_ACTION_SET_NAME_LENGTH` Specifies the maximum length of the `JavaActionSet`'s name; currently 30 characters.
`static int` | `MAX_JAVA_ACTION_COUNT` Specifies the maximum number of `JavaActions` that can be add to this `JavaActionSet`.
`static int` | `PROCOWNERJAS` Deprecated.
`static int` | `ROLEJAS` Deprecated.
`static int` | `WORKASSIGNMENTJAS` Deprecated.

Method Summary
`JavaAction[]` | `createJavaActions(int count)` Returns an array that holds `count` number of empty `JavaAction`s for this `JavaActionSet`.
`int` | `getActionCount()` Returns the number of `JavaAction`s that are included in this set.
`java.lang.String` | `getActionSetDescription()` Returns the description for this `JavaActionSet`.
`java.lang.String` | `getActionSetName()` Returns the name of this `JavaActionSet`.
`JavaAction[]` | `getJavaActions()` Returns the list of `JavaAction`s that are included in this `JavaActionSet`.
`void` | `setActionSetDescription(java.lang.String description)` Sets the description of this `JavaActionSet`.
`void` | `setActionSetName(java.lang.String name)` Sets the name of this `JavaActionSet`.
`void` | `setJavaActions(JavaAction[] javaActions)` Adds an array of `JavaAction`s to this set.

Field Detail

### MAX_ACTION_SET_NAME_LENGTH

    public static final int MAX_ACTION_SET_NAME_LENGTH

  Specifies the maximum length of the `JavaActionSet`'s name; currently 30 characters.

  See Also:
    Constant Field Values

### MAX_ACTION_SET_DESCRIPTION_LENGTH

    public static final int MAX_ACTION_SET_DESCRIPTION_LENGTH

  Specifies the maximum length of the `JavaActionSet`'s description; currently 256 characters.

  See Also:
    Constant Field Values

### INITJAS

    public static final int INITJAS

  Deprecated.

  See Also:
    Constant Field Values

### COMMITJAS

    public static final int COMMITJAS

  Deprecated.

  See Also:
    Constant Field Values

### PROCOWNERJAS

    public static final int PROCOWNERJAS

  Deprecated.

  See Also:
    Constant Field Values

### ROLEJAS

    public static final int ROLEJAS

  Deprecated.

  See Also:
    Constant Field Values

### BODYJAS

    public static final int BODYJAS

  Deprecated.

  See Also:
    Constant Field Values

### EPILOGUEJAS

    public static final int EPILOGUEJAS

  Deprecated.

  See Also:
    Constant Field Values

### WORKASSIGNMENTJAS

    public static final int WORKASSIGNMENTJAS

  Deprecated.

  See Also:
    Constant Field Values

### MAX_JAVA_ACTION_COUNT

    public static final int MAX_JAVA_ACTION_COUNT

  Specifies the maximum number of `JavaActions` that can be add to this `JavaActionSet`. Currently 371 elements.

  See Also:
    Constant Field Values

Method Detail

### getActionSetName

    public java.lang.String getActionSetName()

  Returns the name of this `JavaActionSet`. The name of a `JavaActionSet` is its identifier.

  Returns an empty `String` if no name is defined.

  Returns:
    The name of this `JavaActionSet`.
  See Also:
    `setActionSetName(String)`

### getActionSetDescription

    public java.lang.String getActionSetDescription()

  Returns the description for this `JavaActionSet`.

  Returns an empty `String` if no description is defined.

  Returns:
    The description of this `JavaActionSet`.
  See Also:
    `setActionSetDescription(String)`

### getJavaActions

    public JavaAction[] getJavaActions()

  Returns the list of `JavaAction`s that are included in this `JavaActionSet`.

  Returns an empty array until the list of `JavaAction`s is set.

  Returns:
    The list of included `JavaAction`s.
  See Also:
    `createJavaActions(int)`, `setJavaActions(JavaAction[])`

### setActionSetName

    public void setActionSetName(java.lang.String name)

  Sets the name of this `JavaActionSet`. The name of a `JavaActionSet` is its identifier and should be short and descriptive.

  The name must not be longer than specified in `MAX_ACTION_SET_NAME_LENGTH`. If the length exceeds the limitation, the identifier is truncated to the maximum number of characters. If the supplied value is null, the name will not be changed.

  Parameters:
    `name` - The new name of this `JavaActionSet`.

### setActionSetDescription

    public void setActionSetDescription(java.lang.String description)

  Sets the description of this `JavaActionSet`.

  The description is a field to store a long `String` that contains more information about the purpose of this `JavaActionSet`.

  The description must not be longer than specified in `MAX_ACTION_SET_DESCRIPTION_LENGTH`. If the length exceeds the limitation, the identifier is truncated to the maximum number of characters. If the supplied value is null, the description will not be changed.

  Parameters:
    `description` - The new description of this `JavaActionSet`.

### setJavaActions

    public void setJavaActions(JavaAction[] javaActions)

  Adds an array of `JavaAction`s to this set. The order of the `JavaAction`s within the array defines the order of JavaAction execution within the `JavaActionSet`.

  Parameters:
    `javaActions` - Array of `JavaAction`s for execution.
  See Also:
    `createJavaActions(int)`, `Plan.startEdit()`, `ProcessInstance.startStructuralEdit()`

### getActionCount

    public int getActionCount()

  Returns the number of `JavaAction`s that are included in this set. Returns 0 until a list of `JavaAction`s is add to this `JavaActionSet`.

  Returns:
    Total number of added JavaActions.

### createJavaActions

    public JavaAction[] createJavaActions(int count)

  Returns an array that holds `count` number of empty `JavaAction`s for this `JavaActionSet`. With creation of this list of `JavaAction`s they are part of this set.

  The number of `JavaAction` is limited to the number specified within the constant `MAX_JAVA_ACTION_COUNT`. If count is negative or greater than the specified limit, no objects will be allocated and `null` will be returned.

  Parameters:
    `count` - The number of `JavaAction`s that this set will contain.
  Returns:
    A list of new `JavaAction` instances.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD